Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 536684 - <www-servers/apache-{2.2.31, 2.4.20}: IP address spoofing in mod_remoteip
Summary: <www-servers/apache-{2.2.31, 2.4.20}: IP address spoofing in mod_remoteip
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-15 10:28 UTC by Agostino Sarubbo
Modified: 2016-10-06 17:25 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2015-01-15 10:28:32 UTC
From ${URL} :

It was reported [1] that mod_remoteip does not properly filter the IP addresses supplied in HTTP headers, which can allow a remote attacker to hide his real IP address, or bypass IP based restrictions.
This issue is fixed upstream:
https://svn.apache.org/viewvc?view=revision&revision=1564052

Additional information can be found at the below bugreports:
  https://issues.apache.org/bugzilla/show_bug.cgi?id=54651
  https://bugzilla.redhat.com/show_bug.cgi?id=1179306

[1]: http://mail-archives.apache.org/mod_mbox/httpd-users/201210.mbox/%3cCAHa2qaJSW7Hvk68grWMbbiFSA=zAxQ1nr_-A-K-pDWbAB0Gd1Q@mail.gmail.com%3e


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Pacho Ramos gentoo-dev 2016-02-08 19:06:44 UTC
2.4 versions in the tree are solved and 2.2.x is not affected by this
Comment 2 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-07-18 02:59:40 UTC
Added to existing GLSA.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2016-10-06 17:25:59 UTC
This issue was resolved and addressed in
 GLSA 201610-02 at https://security.gentoo.org/glsa/201610-02
by GLSA coordinator Kristian Fiskerstrand (K_F).